EngineServiceLocator
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.stubs.service
Class EngineServiceLocator

    java.lang.Object
      org.apache.axis.client.Service
          org.gcube.vremanagement.executor.stubs.service.EngineServiceLocator

All Implemented Interfaces:
  java.io.Serializable, javax.naming.Referenceable, javax.xml.rpc.Service, EngineService

Direct Known Subclasses:
  EngineServiceAddressingLocator

    public class EngineServiceLocator

extends org.apache.axis.client.Service
implements EngineService

See Also:
  Serialized Form

Constructor Summary
`EngineServiceLocator()`
`EngineServiceLocator(org.apache.axis.EngineConfiguration config)`
`EngineServiceLocator(java.lang.String wsdlLoc, javax.xml.namespace.QName sName)`

Method Summary
`EnginePortType` | `getEnginePortTypePort()`
`EnginePortType` | `getEnginePortTypePort(java.net.URL portAddress)`
`java.lang.String` | `getEnginePortTypePortAddress()`
`java.lang.String` | `getEnginePortTypePortWSDDServiceName()`
`java.rmi.Remote` | `getPort(java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.rmi.Remote` | `getPort(javax.xml.namespace.QName portName, java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.util.Iterator` | `getPorts()`
`javax.xml.namespace.QName` | `getServiceName()`
`void` | `setEndpointAddress(javax.xml.namespace.QName portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setEndpointAddress(java.lang.String portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setEnginePortTypePortEndpointAddress(java.lang.String address)`
`void` | `setEnginePortTypePortWSDDServiceName(java.lang.String name)`

Methods inherited from class org.apache.axis.client.Service
`clearCall, createCall, createCall, createCall, createCall, getCacheWSDL, getCall, getCalls, getEngine, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### EngineServiceLocator

    public EngineServiceLocator()

### EngineServiceLocator

    public EngineServiceLocator(org.apache.axis.EngineConfiguration config)

### EngineServiceLocator

    public EngineServiceLocator(java.lang.String wsdlLoc,
                                javax.xml.namespace.QName sName)
                         throws javax.xml.rpc.ServiceException

Throws:
  `javax.xml.rpc.ServiceException`

Method Detail

### getEnginePortTypePortAddress

    public java.lang.String getEnginePortTypePortAddress()

  Specified by:
    `getEnginePortTypePortAddress` in interface `EngineService`

### getEnginePortTypePortWSDDServiceName

    public java.lang.String getEnginePortTypePortWSDDServiceName()

### setEnginePortTypePortWSDDServiceName

    public void setEnginePortTypePortWSDDServiceName(java.lang.String name)

### getEnginePortTypePort

    public EnginePortType getEnginePortTypePort()
                                         throws javax.xml.rpc.ServiceException

  Specified by:
    `getEnginePortTypePort` in interface `EngineService`
  Throws:
    `javax.xml.rpc.ServiceException`

### getEnginePortTypePort

    public EnginePortType getEnginePortTypePort(java.net.URL portAddress)
                                         throws javax.xml.rpc.ServiceException

  Specified by:
    `getEnginePortTypePort` in interface `EngineService`
  Throws:
    `javax.xml.rpc.ServiceException`

### setEnginePortTypePortEndpointAddress

    public void setEnginePortTypePortEndpointAddress(java.lang.String address)

### getPort

    public java.rmi.Remote getPort(java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPort` in class `org.apache.axis.client.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
                                   java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPort` in class `org.apache.axis.client.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Specified by:
    `getServiceName` in interface `javax.xml.rpc.Service`
  Overrides:
    `getServiceName` in class `org.apache.axis.client.Service`

### getPorts

    public java.util.Iterator getPorts()

  Specified by:
    `getPorts` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPorts` in class `org.apache.axis.client.Service`

### setEndpointAddress

    public void setEndpointAddress(java.lang.String portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

### setEndpointAddress

    public void setEndpointAddress(javax.xml.namespace.QName portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD